Package org.apache.sling.api.scripting

# Class SlingScriptConstants

java.lang.Object
org.apache.sling.api.scripting.SlingScriptConstants

public class SlingScriptConstants extends Object
Some constants for the scripting.

This class is not intended to be extended or instantiated because it just provides constants not intended to be overwritten.

Since:
  2.0.6 (Sling API Bundle 2.0.6)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTR_SCRIPT_RESOURCE_RESOLVER`
The name of the script context attribute holding the `ResourceResolver` which has been used to resolve the script.
`static final String`
`PROPERTY_SCRIPT_ENGINE_FACTORY_EXTENSIONS`
The event property listing the script engine factory extensions.
`static final String`
`PROPERTY_SCRIPT_ENGINE_FACTORY_LANGUAGE_NAME`
The event property listing the script engine factory language.
`static final String`
`PROPERTY_SCRIPT_ENGINE_FACTORY_LANGUAGE_VERSION`
The event property listing the script engine factory language version.
`static final String`
`PROPERTY_SCRIPT_ENGINE_FACTORY_MIME_TYPES`
The event property listing the script engine factory mime types.
`static final String`
`PROPERTY_SCRIPT_ENGINE_FACTORY_NAME`
The event property listing the script engine factory name.
`static final String`
`PROPERTY_SCRIPT_ENGINE_FACTORY_VERSION`
The event property listing the script engine factory name.
`static final int`
`SLING_SCOPE`
The name of the script scope holding the `ATTR_SCRIPT_RESOURCE_RESOLVER`.
`static final String`
`TOPIC_SCRIPT_ENGINE_FACTORY_ADDED`
The topic for the OSGi event which is sent when a script engine factory has been added.
`static final String`
`TOPIC_SCRIPT_ENGINE_FACTORY_REMOVED`
The topic for the OSGi event which is sent when a script engine factory has been removed.
`static final String`
`TOPIC_SCRIPT_ENGINE_FACTORY_UPDATED`
The topic for the OSGi event which is sent when a script engine factory has been updated.

## Constructor Summary

Constructors
Constructor
Description
`SlingScriptConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ATTR_SCRIPT_RESOURCE_RESOLVER

public static final String ATTR_SCRIPT_RESOURCE_RESOLVER
The name of the script context attribute holding the `ResourceResolver` which has been used to resolve the script. This resource resolver can be used by the script engines to further locate scripts (for includes etc.). The value is set in the `SLING_SCOPE` of the script context.

Since:
  2.0.6 (Sling API Bundle 2.0.6)
See Also:
  - Constant Field Values

### SLING_SCOPE

public static final int SLING_SCOPE
The name of the script scope holding the `ATTR_SCRIPT_RESOURCE_RESOLVER`.

Since:
  2.0.6 (Sling API Bundle 2.0.6)
See Also:
  - Constant Field Values

### TOPIC_SCRIPT_ENGINE_FACTORY_ADDED

public static final String TOPIC_SCRIPT_ENGINE_FACTORY_ADDED
The topic for the OSGi event which is sent when a script engine factory has been added. The event contains at least the `PROPERTY_SCRIPT_ENGINE_FACTORY_NAME`, `PROPERTY_SCRIPT_ENGINE_FACTORY_VERSION`, `PROPERTY_SCRIPT_ENGINE_FACTORY_EXTENSIONS`, `PROPERTY_SCRIPT_ENGINE_FACTORY_LANGUAGE_NAME`, `PROPERTY_SCRIPT_ENGINE_FACTORY_LANGUAGE_VERSION`, and `PROPERTY_SCRIPT_ENGINE_FACTORY_MIME_TYPES` properties.

Since:
  2.0.6 (Sling API Bundle 2.0.6)
See Also:
  - Constant Field Values

### TOPIC_SCRIPT_ENGINE_FACTORY_REMOVED

public static final String TOPIC_SCRIPT_ENGINE_FACTORY_REMOVED
The topic for the OSGi event which is sent when a script engine factory has been removed. The event contains at least the `PROPERTY_SCRIPT_ENGINE_FACTORY_NAME`, `PROPERTY_SCRIPT_ENGINE_FACTORY_VERSION`, `PROPERTY_SCRIPT_ENGINE_FACTORY_EXTENSIONS`, `PROPERTY_SCRIPT_ENGINE_FACTORY_LANGUAGE_NAME`, `PROPERTY_SCRIPT_ENGINE_FACTORY_LANGUAGE_VERSION`, and `PROPERTY_SCRIPT_ENGINE_FACTORY_MIME_TYPES` properties.

Since:
  2.0.6 (Sling API Bundle 2.0.6)
See Also:
  - Constant Field Values

### TOPIC_SCRIPT_ENGINE_FACTORY_UPDATED

public static final String TOPIC_SCRIPT_ENGINE_FACTORY_UPDATED
The topic for the OSGi event which is sent when a script engine factory has been updated. The event contains at least the `PROPERTY_SCRIPT_ENGINE_FACTORY_NAME`, `PROPERTY_SCRIPT_ENGINE_FACTORY_VERSION`, `PROPERTY_SCRIPT_ENGINE_FACTORY_EXTENSIONS`, `PROPERTY_SCRIPT_ENGINE_FACTORY_LANGUAGE_NAME`, `PROPERTY_SCRIPT_ENGINE_FACTORY_LANGUAGE_VERSION`, and `PROPERTY_SCRIPT_ENGINE_FACTORY_MIME_TYPES` properties.

Since:
  2.5.0 (Sling API Bundle 2.22.0)
See Also:
  - Constant Field Values

### PROPERTY_SCRIPT_ENGINE_FACTORY_NAME

public static final String PROPERTY_SCRIPT_ENGINE_FACTORY_NAME
The event property listing the script engine factory name. The value is a string.

Since:
  2.0.6 (Sling API Bundle 2.0.6)
See Also:
  - Constant Field Values

### PROPERTY_SCRIPT_ENGINE_FACTORY_VERSION

public static final String PROPERTY_SCRIPT_ENGINE_FACTORY_VERSION
The event property listing the script engine factory name. The value is a string.

Since:
  2.0.6 (Sling API Bundle 2.0.6)
See Also:
  - Constant Field Values

### PROPERTY_SCRIPT_ENGINE_FACTORY_EXTENSIONS

public static final String PROPERTY_SCRIPT_ENGINE_FACTORY_EXTENSIONS
The event property listing the script engine factory extensions. The value is a string array.

Since:
  2.0.6 (Sling API Bundle 2.0.6)
See Also:
  - Constant Field Values

### PROPERTY_SCRIPT_ENGINE_FACTORY_LANGUAGE_NAME

public static final String PROPERTY_SCRIPT_ENGINE_FACTORY_LANGUAGE_NAME
The event property listing the script engine factory language. The value is a string.

Since:
  2.0.6 (Sling API Bundle 2.0.6)
See Also:
  - Constant Field Values

### PROPERTY_SCRIPT_ENGINE_FACTORY_LANGUAGE_VERSION

public static final String PROPERTY_SCRIPT_ENGINE_FACTORY_LANGUAGE_VERSION
The event property listing the script engine factory language version. The value is a string.

Since:
  2.0.6 (Sling API Bundle 2.0.6)
See Also:
  - Constant Field Values

### PROPERTY_SCRIPT_ENGINE_FACTORY_MIME_TYPES

public static final String PROPERTY_SCRIPT_ENGINE_FACTORY_MIME_TYPES
The event property listing the script engine factory mime types. The value is a string array.

Since:
  2.0.6 (Sling API Bundle 2.0.6)
See Also:
  - Constant Field Values

## Constructor Details

### SlingScriptConstants

public SlingScriptConstants()